import { UserEntity } from '@modules/user/core/domain/user.entity';
import { CreateUserProps } from '@modules/user/core/domain/user.types';

const createUserProps: CreateUserProps = {
  firstName: 'John',
  lastName: 'Doe',
  email: 'john.doe@email.com',
  phone: '+33611223344',
};

describe('User entity create', () => {
  it('should create a new user entity', async () => {
    const userEntity: UserEntity = UserEntity.create(createUserProps);
    expect(userEntity.id.length).toBe(36);
    expect(userEntity.getProps().email).toBe('john.doe@email.com');
  });
});
